//  RW Animeyes
// ==============
// Vision & object detection library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/animeyes/animeyes.hpp
// -Declarations of the baseline RW Animeyes library

#pragma once

#include "incls_all.hpp"

namespace rw::animeyes {

//------------------------------------------------------------------------------
class Animeyes_b : public RW {
 public:
  Animeyes_b();                                      // default ctor
  explicit Animeyes_b(std::string const& name_tag);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Animeyes : public Animeyes_b {
 public:
  Animeyes();                                      // default ctor
  explicit Animeyes(std::string const& name_tag);  // tag-parm'd ctor
};

}  // namespace rw::animeyes

//    --=^=--

// "______"

// rw_animeyes_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
