//    RW Props
// ==============
// Various Props, Gadgets & Accessories for Robowaifus : Anim Avatars edition
// -Part of the RW Foundations suite of libraries

// Filename: ./include/chibitsu/props/props.hpp
// -Declarations of the baseline RW Props library subsystem

#pragma once

#include "incls_all.hpp"

namespace rw::chibitsu::props {

//------------------------------------------------------------------------------
class Whistle_b : public RW {
 public:
  Whistle_b();                                      // default ctor
  explicit Whistle_b(std::string const& name_tag);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Whistle : public Whistle_b {
 public:
  Whistle();                                      // default ctor
  explicit Whistle(std::string const& name_tag);  // tag-parm'd ctor

  void tweet();
};

}  // namespace rw::chibitsu::props

//    --=^=--

// "______"

// rw_chibitsu_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
