//    RW Wired
// ==============
// Networking, RF Signaling, and Digital Communications Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/wired/wired.hpp
// -Declarations of the baseline RW Wired library

#pragma once

#include "incls_all.hpp"

namespace rw::wired {

//------------------------------------------------------------------------------
class Wired_b : public RW {
 public:
  Wired_b();                                      // default ctor
  explicit Wired_b(std::string const& name_tag);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Wired : public Wired_b {
 public:
  Wired();                                      // default ctor
  explicit Wired(std::string const& name_tag);  // tag-parm'd ctor
};

}  // namespace rw::wired

//    --=^=--

// "______"

// rw_wired_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
