//   RW Arigato
// ==============
// aka 'Robowaifu' - The Humanoid Female Robot Companion Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/arigato/arigato.cpp
// -Definitions of the baseline RW Arigato library

#include "incls_all.hpp"

namespace rw::arigato {

//------------------------------------------------------------------------------
Arigato_b::Arigato_b() : Arigato_b{"arigato_b_obj"} {}

//------------------------------------------------------------------------------
Arigato_b::Arigato_b(std::string const& name_tag) : RW{name_tag} {}

//------------------------------------------------------------------------------
Arigato::Arigato() : Arigato{"arigato_obj"} {}

//------------------------------------------------------------------------------
Arigato::Arigato(std::string const& name_tag) : Arigato_b{name_tag} {}

//------------------------------------------------------------------------------
Arigato::~Arigato() {}

//------------------------------------------------------------------------------
auto Arigato::preflight() -> bool {
  // TODO:
  // do actual initialization here. eg, turn off embedded object's unneeded
  // members, ensure filesets are available & ready, connections are working,
  // etc., etc., etc.  :^)
  //

  printf("%s checks out A-OK!\n", my_tag().c_str());
  return true;  // TEMP:
}

}  // namespace rw::arigato

//    --=^=--

// "I only wish I could find a really cute one lying around somewhere."

// rw_arigato_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
