//    RW Bones
// ==============
// Skeletal, Structural, and Components Systems Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/bones/bones.cpp
// -Definitions of the baseline RW Bones library

#pragma once

#include "incls_all.hpp"

namespace rw::bones {

//------------------------------------------------------------------------------
Bones_b::Bones_b() : Bones_b{"bones_b_obj"} {}

//------------------------------------------------------------------------------
Bones_b::Bones_b(std::string const& name_tag) : RW{name_tag} {}

//------------------------------------------------------------------------------
Bones::Bones() : Bones{"bones_obj"} {}

//------------------------------------------------------------------------------
Bones::Bones(std::string const& name_tag) : Bones_b{name_tag} {}

}  // namespace rw::bones

//    --=^=--

// "______"

// rw_bones_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
