//   RW Kotoko
// ==============
// Demonstration of a Chibitsu-grade robowaifu
// -Part of the RW Foundations suite of libraries

// Filename: ./src/chibitsu/kotoko.cpp
// -Definitions of the baseline RW Kotoko project subsystem

#include "incls_all.hpp"

namespace rw::chibitsu {

//------------------------------------------------------------------------------
Kotoko_b::Kotoko_b() : Kotoko_b{"kotoko_b_obj"} {}

//------------------------------------------------------------------------------
Kotoko_b::Kotoko_b(std::string const& name_tag) : Chibitsu{name_tag} {}

//------------------------------------------------------------------------------
Kotoko::Kotoko() : Kotoko{"kotoko_obj"} {}

//------------------------------------------------------------------------------
Kotoko::Kotoko(std::string const& name_tag) : Kotoko_b{name_tag} {}

//------------------------------------------------------------------------------
auto Kotoko::preflight() -> bool {
  // TODO:
  // do actual initialization here. eg, turn off embedded object's unneeded
  // members, ensure filesets are available & ready, connections are working,
  // etc., etc., etc.  :^)
  //

  printf("%s checks out A-OK!\n", my_tag().c_str());
  return true;  // TEMP:
}

}  // namespace rw::chibitsu

//    --=^=--

// "She's hopeless, why do I even bother?"

// rw_chibitsu_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
