//    RW Gears
// ==============
// Actuators, Controls, and Mechatronics Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/gears/gears.cpp
// -Definitions of the baseline RW Gears library

#pragma once

#include "incls_all.hpp"

namespace rw::gears {

//------------------------------------------------------------------------------
Gears_b::Gears_b() : Gears_b{"gears_b_obj"} {}

//------------------------------------------------------------------------------
Gears_b::Gears_b(std::string const& name_tag) : RW{name_tag} {}

//------------------------------------------------------------------------------
Gears::Gears() : Gears{"gears_obj"} {}

//------------------------------------------------------------------------------
Gears::Gears(std::string const& name_tag) : Gears_b{name_tag} {}

}  // namespace rw::gears

//    --=^=--

// "Probably shouldn't stick your fingers in there, Bro..."

// rw_gears_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
