//    RW Bones
// ==============
// Skeletal, Structural, and Components Systems Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/bones/bones.hpp
// -Declarations of the baseline RW Bones library

#pragma once

#include "incls_all.hpp"

namespace rw::bones {

//------------------------------------------------------------------------------
class Bones_b : public RW {
 public:
  Bones_b();                                      // default ctor
  explicit Bones_b(std::string const& name_tag);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Bones : public Bones_b {
 public:
  Bones();                                      // default ctor
  explicit Bones(std::string const& name_tag);  // tag-parm'd ctor
};

}  // namespace rw::bones

//    --=^=--

// "______"

// rw_bones_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
