//   RW Curator
// ==============
// Search, Information, and Data Storage, Retrieval, & Optimizations Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/curator.hpp
// -Declarations of the baseline RW Curator library

#pragma once

#include "incls_all.hpp"

namespace rw::curator {

//------------------------------------------------------------------------------
class Curator_b : public RW {
 public:
  Curator_b();                                      // default ctor
  explicit Curator_b(std::string const& name_tag);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Curator : public Curator_b {
 public:
  Curator();                                      // default ctor
  explicit Curator(std::string const& name_tag);  // tag-parm'd ctor
};

}  // namespace rw::curator

//    --=^=--

// "______"

// rw_curator_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
