//   RW Electro
// ==============
// Digital & Electronics, Power, and Sensors Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/electro/electro.hpp
// -Declarations of the baseline RW Electro library

#pragma once

#include "incls_all.hpp"

namespace rw::electro {

//------------------------------------------------------------------------------
class Electro_b : public RW {
 public:
  Electro_b();                                      // default ctor
  explicit Electro_b(std::string const& name_tag);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
class Electro : public Electro_b {
 public:
  Electro();                                      // default ctor
  explicit Electro(std::string const& name_tag);  // tag-parm'd ctor
};

}  // namespace rw::electro

//    --=^=--

// "Now be careful. If you go for a full charge, it can get up there."

// rw_electro_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
