//    RW Props
// ==============
// Various Props, Gadgets & Accessories for Robowaifus : Anim Avatars edition
// -Part of the RW Foundations suite of libraries

// Filename: ./src/chibitsu/props/props.cpp
// -Definitions of the baseline RW Props library subsystem

#pragma once

#include "incls_all.hpp"

namespace rw::chibitsu::props {

//------------------------------------------------------------------------------
Whistle_b::Whistle_b() : Whistle_b{"whistle_b_obj"} {}

//------------------------------------------------------------------------------
Whistle_b::Whistle_b(std::string const& name_tag) : RW{name_tag} {}

//------------------------------------------------------------------------------
Whistle::Whistle() : Whistle{"whistle_obj"} {}

//------------------------------------------------------------------------------
Whistle::Whistle(std::string const& name_tag) : Whistle_b{name_tag} {}

//------------------------------------------------------------------------------
void Whistle::tweet() {
  // DESIGN: redirect all this into a Sumomo impl instead ?
  // -eg, replace the puts() with a call to here, and move everything else there
  //
  // if (tip.tag.has("sumomo")) {
  // bones_.do_whistle_anticipation();
  // face_.scrunch_pose();
  // bones_.do_whistle();
  puts("TWWEEEEEEEEEEEET!!");
  // hearsay_.do_whistle_tweet(2s);
  // bones_.recover_from_whistle();
  // face_.bright_smile();
  // }
}

}  // namespace rw::chibitsu::props

//    --=^=--

// "______"

// rw_chibitsu_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
