//   RW Sumomo
// ==============
// Demonstration of a Chibitsu-grade robowaifu
// -Part of the RW Foundations suite of libraries

// Filename: ./src/chibitsu/sumomo.cpp
// -Definitions of the baseline RW Sumomo project subsystem

#include "incls_all.hpp"

namespace rw::chibitsu {

//------------------------------------------------------------------------------
Sumomo_b::Sumomo_b() : Sumomo_b{"sumomo_b_obj"} {}

//------------------------------------------------------------------------------
Sumomo_b::Sumomo_b(std::string const& name_tag) : Chibitsu{name_tag} {}

//------------------------------------------------------------------------------
Sumomo::Sumomo() : Sumomo{"sumomo_obj"} {}

//------------------------------------------------------------------------------
Sumomo::Sumomo(std::string const& name_tag) : Sumomo_b{name_tag} {}

//------------------------------------------------------------------------------
auto Sumomo::preflight() -> bool {
  // TODO:
  // do actual initialization here. eg, turn off embedded object's unneeded
  // members, ensure filesets are available & ready, connections are working,
  // etc., etc., etc.  :^)
  //

  printf("%s checks out A-OK!\n", my_tag().c_str());
  return true;  // TEMP:
}

}  // namespace rw::chibitsu

//    --=^=--

// "EMERGENCY, EMERGENCY! THIS IS A CRISIS SITUATION!!"

// rw_chibitsu_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
