// RW Waifusearch
// ==============
// Fast Imageboard Searching Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/waifusearch/waifusearch.cpp
// -Definitions of the baseline RW Waifusearch library subsystem

#pragma once

#include "incls_all.hpp"

namespace rw::curator::waifusearch {

//------------------------------------------------------------------------------
Waifusearch_b::Waifusearch_b() : Waifusearch_b{"waifusearch_b_obj"} {}

//------------------------------------------------------------------------------
Waifusearch_b::Waifusearch_b(std::string const& name_tag) : RW{name_tag} {}

//------------------------------------------------------------------------------
Waifusearch::Waifusearch() : Waifusearch{"waifusearch_obj"} {}

//------------------------------------------------------------------------------
Waifusearch::Waifusearch(std::string const& name_tag)
    : Waifusearch_b{name_tag} {}

}  // namespace rw::curator::waifusearch

//    --=^=--

// "______"

// rw_curator_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
