//  RW Graphicom
// ==============
// Graphics & GUI Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/graphicom/graphicom.cpp
// -Definitions of the baseline RW Graphicom library

#include "incls_all.hpp"

namespace rw::graphicom {

//------------------------------------------------------------------------------
Graphicom_b::Graphicom_b() : Graphicom_b{"graphicom_b_obj"} {}

//------------------------------------------------------------------------------
Graphicom_b::Graphicom_b(std::string const& name_tag) : RW{name_tag} {}

//------------------------------------------------------------------------------
Graphicom::Graphicom() : Graphicom{"graphicom_obj"} {}

//------------------------------------------------------------------------------
Graphicom::Graphicom(std::string const& name_tag) : Graphicom_b{name_tag} {}

}  // namespace rw::graphicom

//    --=^=--

// "______"

// rw_graphicom_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
