//   RW Hearsay
// ==============
// Speech recognition & synthesis, and NLP library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/hearsay/hearsay.cpp
// -Definitions of the baseline RW Hearsay library

#include "incls_all.hpp"

namespace rw::hearsay {

//------------------------------------------------------------------------------
Hearsay_b::Hearsay_b() : Hearsay_b{"hearsay_b_obj"} {}

//------------------------------------------------------------------------------
Hearsay_b::Hearsay_b(std::string const& name_tag) : RW{name_tag} {}

//------------------------------------------------------------------------------
Hearsay::Hearsay() : Hearsay{"hearsay_obj"} {}

//------------------------------------------------------------------------------
Hearsay::Hearsay(std::string const& name_tag) : Hearsay_b{name_tag} {}

}  // namespace rw::hearsay

//    --=^=--

// "______"

// rw_hearsay_lib.v211124
// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
